<template>
    <v-toolbar
            color="blue darken-3"
            class="px-5"
            id="toolbar">
        <!--show mobile view menu-->
        <v-menu class="hidden-md-and-up" transition="scale-transition" fixed left>
            <v-toolbar-side-icon slot="activator" color="primary" @click="$emit('click')"></v-toolbar-side-icon>
        </v-menu>

        <v-toolbar-title class="white--text hidden-sm-and-down">Õpilasesindus</v-toolbar-title>
        <v-spacer></v-spacer>

        <!--show logo on tablet abd mobile view-->
        <v-img
                src="img/favicon.svg"
                max-width="50px"
                position="right"
                class="hidden-md-and-up"
        ></v-img>

        <!--show links on desktop view-->
        <v-toolbar-items v-for="(link, index) in links" :key="index" class="hidden-sm-and-down">
            <v-btn flat class="white--text" :to='link.url'>{{ link.text }}</v-btn>
        </v-toolbar-items>

        <!--logout button and logged in user info on desktop view-->
        <v-menu offset-y class="hidden-sm-and-down">
            <v-btn
                    slot="activator"
                    color="primary"
                    dark>
                {{ this.user.name }}
            </v-btn>

            <v-list
                    @click=""
                    dense>
                <v-list-tile @click="this.logout">

                    <v-list-tile-content>
                        <v-list-tile-title>Logi välja</v-list-tile-title>
                    </v-list-tile-content>

                </v-list-tile>
            </v-list>
        </v-menu>
    </v-toolbar>
</template>

<script>
    import {mapGetters} from "vuex";

    export default {
        name: 'NavBar',
        data() {
            return {
                links: [
                    {url: '/', text: 'Avaleht'},
                    // {url: '/calendar', text: 'Üritused'},
                    {url: '/votes', text: 'Hääletused'},
                    // {url: '/gallery', text: 'Galerii'},
                    {url: '/candidating', text: 'Kandideeri'},
                    {url: '/info', text: 'Info'},
                    {url: '/contact', text: 'Kontakt'},
                ],
                userActionsDropdown: [
                    {text: 'Logi välja', callback: () => this.logout}
                ]
            }
        },
        methods: {
            //Log out and redirect to login page
            logout: function () {
                this.$store.dispatch('AUTH_LOGOUT')
                    .then(() => {
                        this.$router.push({name: 'login'})
                    })
            }
        },
        //Get logged in user info
        computed: {
            ...mapGetters([
                'user'
            ])
        }
    }
</script>
